#include <bits/stdc++.h>

using namespace std;

struct covek
{
   double plata;
   double procenat;
};

bool uporedi(const covek &a, const covek &b)
{
    return(a.procenat<b.procenat);
}

int main()
{
    long long int n,i;

    cin>>n;

    double ukupno=0, maksimalno=0, trenutno=0;

    covek radnik[n];

    for (i=0; i<n; i++)
    {
        cin>>radnik[i].plata>>radnik[i].procenat;

        ukupno=ukupno+radnik[i].plata;
    }

    sort(radnik, radnik+n, uporedi);

    for(i=0; i<n; i++)
    {
        trenutno=ukupno*radnik[i].procenat/100;
        if (trenutno>maksimalno)
        {
            maksimalno=trenutno;
        }
        ukupno=ukupno-radnik[i].plata;
    }
    printf("%.4f", maksimalno);

    return 0;
}